﻿using System;
using System.Collections.Generic;

namespace Benday.EfCore.LegacyApi
{
    public partial class Animal
    {
        public Animal()
        {
            AnimalFood = new HashSet<AnimalFood>();
        }

        public int Id { get; set; }
        public string Name { get; set; }

        public virtual ICollection<AnimalFood> AnimalFood { get; set; }

        public void AddFood(Food food)
        {
            AnimalFood.Add(new AnimalFood()
            {
                AnimalId = Id,
                FoodId = food.Id,
                Animal = this,
                Food = food
            });
        }
    }
}
