﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace Benday.EfCore.LegacyApi.Migrations
{
    public partial class StoredProcFoodGetByAnimalId : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.Sql(GetSqlForCreateLastUpdatedTrigger());
        }
        private string GetSqlForCreateLastUpdatedTrigger()
        {
            string sql = @"
CREATE PROCEDURE Food_GetByAnimalId
@animalId int
as 
SELECT * 
FROM 
Food f
JOIN
AnimalFood af
ON
f.Id = af.FoodId
WHERE
af.AnimalId = @animalId
";

            return sql;
        }
        protected override void Down(MigrationBuilder migrationBuilder)
        {

        }
    }
}
